/* 
 * $Id$
 *
 * Adium is the legal property of its developers, whose names are listed in the copyright file included
 * with this source distribution.
 *
 * This plugin is copyright (c) 2008 Jon Chambers.  The plugin's official site is:
 * http://projects.eatthepath.com/sort-by-log-size-plugin/
 * 
 * This program is free software; you can redistribute it and/or modify it under the terms of the GNU
 * General Public License as published by the Free Software Foundation; either version 2 of the License,
 * or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even
 * the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
 * Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License along with this program; if not,
 * write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */

#import <AIUtilities/AITigerCompatibility.h> 

#import <Adium/AISortController.h>
#import <Adium/AIListContact.h>

@interface AILogSizeSort : AISortController
{
	NSMutableDictionary *logSizeCache;
}

// Cache operations
-(void)createCacheEntryIfNil:(AIListContact *)listContact;
-(void)removeCacheEntry:(AIListContact *)listContact;

// Event handlers
-(void)contentObjectAdded:(NSNotification *)notification;

// Log operations
-(unsigned long long)getCachedLogSize:(AIListContact *)listContact;
+(unsigned long long)getContactLogSize:(AIListContact *)listContact;

@end
